# llrp_reader_imp.h File Reference

LLRP reader internal implementation header. More...

`#include <time.h>`
`#include "tm_reader.h"`
`#include "tmr_status.h"`
`#include "ltkc.h"`

## Classes

struct | TMR_LLRP_PortDetect
struct | TMR_LLRP_TMDeDuplication
struct | TMR_LLRP_TMReaderConfiguration

## Defines

#define | TMR_POWER_CYCLE_MAGIC_NUMBER 0x20000920
#define | TMR_LLRP_C1G2READOPSPECRESULT 349
#define | TMR_LLRP_MAX_ROSPECS 32
#define | TMR_LLRP_STOP_TIMEOUT 5000
#define | TMR_LLRP_MODEL_M6 0x06

## Typedefs

typedef struct TMR_LLRP_PortDetect | TMR_LLRP_PortDetect
typedef struct TMR_LLRP_TMDeDuplication | TMR_LLRP_TMDeDuplication
typedef struct TMR_LLRP_TMReaderConfiguration | TMR_LLRP_TMReaderConfiguration

## Detailed Description

LLRP reader internal implementation header.

Author:
  Somu

Date:
  05/25/2011

## Define Documentation

#define TMR_LLRP_C1G2READOPSPECRESULT 349

LLRP specific AccessCommandOpSpecResult parameter typenums

#define TMR_LLRP_MAX_ROSPECS 32

Maximum number of ROSpecs supported by reader.

#define TMR_LLRP_MODEL_M6 0x06

This value is returned from TMR_LLRP_cmdVersionModel.

#define TMR_LLRP_STOP_TIMEOUT 5000

Maximum milliseconds required for reader to stop an ongoing search

#define TMR_POWER_CYCLE_MAGIC_NUMBER 0x20000920

Magic Number to reboot the Thingmagic LLRP fixed reader.

## Typedef Documentation

typedef struct TMR_LLRP_PortDetect TMR_LLRP_PortDetect

This structure is returned from TMR_LLRP_cmdAntennaDetect.

typedef struct TMR_LLRP_TMDeDuplication TMR_LLRP_TMDeDuplication

This struture is returned from ThingMagicDeDuplication

typedef struct TMR_LLRP_TMReaderConfiguration TMR_LLRP_TMReaderConfiguration

This structure is returned from cmdGetThingmagicReaderConfiguration